aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.config/nvim/lua/lsp.lua4
-rw-r--r--.inputrc2
-rw-r--r--README.md7
-rwxr-xr-xbootstrap.sh14
4 files changed, 18 insertions, 9 deletions
diff --git a/.config/nvim/lua/lsp.lua b/.config/nvim/lua/lsp.lua
index 0f81cf1..c148108 100644
--- a/.config/nvim/lua/lsp.lua
+++ b/.config/nvim/lua/lsp.lua
@@ -151,13 +151,13 @@ require("lspconfig").marksman.setup({
require("lspconfig").jsonls.setup({
capabilities = capabilities;
- cmd = { "vscode-json-languageserver"; "--stdio" };
+ cmd = { "vscode-json-language-server"; "--stdio" };
on_attach = on_attach;
})
require("lspconfig").html.setup({
capabilities = capabilities;
- cmd = { "vscode-html-languageserver"; "--stdio" };
+ cmd = { "vscode-html-language-server"; "--stdio" };
on_attach = on_attach;
})
diff --git a/.inputrc b/.inputrc
index 49e7407..7b76213 100644
--- a/.inputrc
+++ b/.inputrc
@@ -14,7 +14,7 @@ set show-mode-in-prompt on
"\e[1;5C": forward-word
set show-all-if-unmodified on
-set show-all-if-ambiguous on
+set show-all-if-ambiguous off
# Color files by types
# Note that this may cause completion text blink in some terminals (e.g. xterm).
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..e8124da
--- /dev/null
+++ b/README.md
@@ -0,0 +1,7 @@
+# Dependencies
+
+## Neovim
+
+- [vscode-langservers-extracted](https://www.npmjs.com/package/vscode-langservers-extracted)
+ - `npm i -g vscode-langservers-extracted`
+
diff --git a/bootstrap.sh b/bootstrap.sh
index 516c407..df2d339 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,10 +1,10 @@
#!/usr/bin/env sh
-SYMLINKDIR=$(readlink -f "$0")
-BASEDIR=$(dirname "$SYMLINKDIR")
+SYMLINKDIR="$(readlink -f "$0")"
+BASEDIR="$(dirname "$SYMLINKDIR")"
cd $BASEDIR
-function doIt() {
+doIt() {
git submodule update --init --recursive
rsync --exclude ".git/" \
--exclude ".DS_Store" \
@@ -19,13 +19,15 @@ function doIt() {
-avh --no-perms ./ ~/
}
-if [ "$1" == "--force" -o "$1" == "-f" ]; then
+if [ "$1" = "--force" -o "$1" = "-f" ]; then
doIt;
else
- read -p "This may overwrite existing files in your home directory. Are you sure? (y/n) " -n 1;
+ printf "This may overwrite existing files in your home directory. Are you sure? (y/n) ";
+ read REPLY;
echo "";
- if [[ $REPLY =~ ^[Yy]$ ]]; then
+ if [ "$REPLY" = "y" -o "$REPLY" = "Y" ]; then
doIt;
+ else exit 1;
fi;
fi;